import request from '@/utils/request'

// 查询实验室安全制度列表
export function listSafe_book(query) {
  return request({
    url: '/laboratory/safe_book/list',
    method: 'get',
    params: query
  })
}

// 查询实验室安全制度详细
export function getSafe_book(id) {
  return request({
    url: '/laboratory/safe_book/' + id,
    method: 'get'
  })
}

// 新增实验室安全制度
export function addSafe_book(data) {
  return request({
    url: '/laboratory/safe_book',
    method: 'post',
    data: data
  })
}

// 修改实验室安全制度
export function updateSafe_book(data) {
  return request({
    url: '/laboratory/safe_book',
    method: 'put',
    data: data
  })
}

// 删除实验室安全制度
export function delSafe_book(id) {
  return request({
    url: '/laboratory/safe_book/' + id,
    method: 'delete'
  })
}
